Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_NetPacket

Net packet class.
Contained in: global
Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_NetPacket` | `()`;
`` | `CL_NetPacket` | `(`const` `void`* `data`, `int` `size`)`;
`` | `CL_NetPacket` | `(`const` `std::string`& `data`)`;
`` | `CL_NetPacket` | `(`const` `CL_NetPacket`& `copy`)`;
`` | `~CL_NetPacket` | `()`;

### Attributes:

``unsigned` `char`*` | `get_data` | `()`;
``const` `unsigned` `char`*` | `get_data` | `() `const``;
``int`` | `get_size` | `() `const``;

### Operations:

``void`` | `resize` | `(`int` `new_size`)`;
``CL_NetPacket`&` | `operator``=` | `(`const` `CL_NetPacket`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_NetPacket::CL_NetPacket - Constructs a packet.
`` `CL_NetPacket` `()`;

CL_NetPacket::get_data - Returns a pointer to netpacket data.
``unsigned` `char`*` `get_data` `()`;

CL_NetPacket::get_size - Return size of netpacket data.
``int`` `get_size` `() `const``;

CL_NetPacket::resize - Resize data. Does not destroy the old data in the packet.
``void`` `resize` `(`int` `new_size`)`;

## Variable Member Descriptions:

CL_NetPacket::input - Input source interface for netpacket.
``CL_InputSource_NetPacket`` ``input`;`

CL_NetPacket::output - Output source interface for netpacket.
``CL_OutputSource_NetPacket`` ``output`;`